## ros-rolling-robot-calibration-msgs 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(robot_calibration_msgs)

find_package(ament_cmake REQUIRED)
find_package(action_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/GripperLedCommand.action"
  "msg/CalibrationData.msg"
  "msg/CameraParameter.msg"
  "msg/CaptureConfig.msg"
  "msg/ExtendedCameraInfo.msg"
  "msg/Observation.msg"
  DEPENDENCIES action_msgs builtin_interfaces geometry_msgs sensor_msgs std_msgs
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-rolling-robot-calibration-msgs (0.8.0-2jammy) jammy; urgency=high

  * port robot_calibration_msgs to ROS2, update CI (#131 <https://github.com/mikeferguson/robot_calibration/issues/131>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 25 Jun 2022 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.7.0-2jammy) jammy; urgency=high

  * bump cmake version to silence warnings on noetic (#107 <https://github.com/mikeferguson/robot_calibration/issues/107>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 20 Apr 2022 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.6.5-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 30 Oct 2021 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.6.4-2jammy) jammy; urgency=high

  * update package.xml for noetic (#87 <https://github.com/mikeferguson/robot_calibration/issues/87>)
    orocos-kdl is now a system dependency,
    rosdep key has changed
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-robot-calibration-msgs (0.6.3-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 27 Apr 2020 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.6.2-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 14 Jan 2020 08:00:00 -0000

ros-rolling-robot-calibration-msgs (0.6.1-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-robot-calibration-msgs (0.6.0-2jammy) jammy; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 09 Jul 2018 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.5.5-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 12 Feb 2018 08:00:00 -0000

ros-rolling-robot-calibration-msgs (0.5.4-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 20 Jan 2018 08:00:00 -0000

ros-rolling-robot-calibration-msgs (0.5.3-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.5.2-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.5.1-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 01 Jul 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.5.0-2jammy) jammy; urgency=high

  * add new CaptureConfig message for setting up samples
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.4.1-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 17 Jun 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.4.0-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.3.1-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 23 Apr 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.3.0-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.2.2-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 12 Apr 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.2.1-2jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 05 Apr 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.2.0-2jammy) jammy; urgency=high

  * extend messages to support multiple sensors
  * implement ExtendedCameraInfo
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 16 Mar 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.1.2-2jammy) jammy; urgency=high

  * update cmake/package.xml
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 15 Mar 2015 07:00:00 -0000

ros-rolling-robot-calibration-msgs (0.1.1-2jammy) jammy; urgency=high

  * split out messages into separate package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 05 Mar 2015 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-robot-calibration-msgs
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-action-msgs, ros-rolling-ament-cmake, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/robot_calibration_msgs
Standards-Version: 3.9.2

Package: ros-rolling-robot-calibration-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-action-msgs, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Messages for calibrating a robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-robot-calibration-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
